package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/***
 * 绩效排行榜汇总方式
 */
public enum SummaryTopTypeEnum {
    年(1, "年"),
    月(2, "月"),
    日(3, "日"),
    ;
    private Integer value;
    private String desc;

    SummaryTopTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static SummaryTopTypeEnum getByValue(Integer value) {
        for (SummaryTopTypeEnum item : SummaryTopTypeEnum.values()) {
            if (item.getValue() == value) {
                return item;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (SummaryTopTypeEnum item : SummaryTopTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}
